Package org.kapott.hbci.manager

## Class MsgGen

- java.lang.Object
- - org.kapott.hbci.manager.MsgGen

    public final class MsgGen
    extends java.lang.Object

### Constructor Summary

Constructors
`MsgGen​(java.io.InputStream syntaxFileStream)`
`MsgGen​(org.w3c.dom.Document syntax)` < @internal @brief A table of properties set by the user to specify the message to be generated

### Method Summary

All Methods Instance Methods Concrete Methods
`MSG` `generate​(java.lang.String msgName)`
`java.lang.String` `get​(java.lang.String key)`
`java.util.List<java.lang.String>` `getGVParameterNames​(java.lang.String specname)`
`java.util.List<java.lang.String>` `getGVParameterNames​(java.lang.String gvname, java.lang.String version)`
`java.util.List<java.lang.String>` `getGVRestrictionNames​(java.lang.String specname)`
`java.util.List<java.lang.String>` `getGVRestrictionNames​(java.lang.String gvname, java.lang.String version)`
`java.util.List<java.lang.String>` `getGVResultNames​(java.lang.String specname)`
`java.util.List<java.lang.String>` `getGVResultNames​(java.lang.String gvname, java.lang.String version)`
`java.util.Hashtable<java.lang.String,​java.util.List<java.lang.String>>` `getLowlevelGVs()`
`org.w3c.dom.Document` `getSyntax()`
`void` `reset()`
`void` `set​(java.lang.String path, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MsgGen

    public MsgGen​(org.w3c.dom.Document syntax)

< @internal @brief A table of properties set by the user to specify the message to be generated

#### MsgGen

    public MsgGen​(java.io.InputStream syntaxFileStream)

### Method Detail

#### generate

    public MSG generate​(java.lang.String msgName)

Parameters:
  `msgName` - The name (i.e. XML-identifier for a MSGdef-node) of the message to be generated.
Returns:
  A new MSG object representing the generated message.

#### set

    public void set​(java.lang.String path,
                    java.lang.String value)

Parameters:
  `path` - The path to the syntax element for which the value is to be set. For more information about paths, see SyntaxElement::SyntaxElement()
  `value` - The new value for the specified element.

#### reset

    public void reset()

#### getSyntax

    public org.w3c.dom.Document getSyntax()

Returns:
  The internally used representation of a HBCI syntax description.

#### getLowlevelGVs

    public java.util.Hashtable<java.lang.String,​java.util.List<java.lang.String>> getLowlevelGVs()

#### getGVParameterNames

    public java.util.List<java.lang.String> getGVParameterNames​(java.lang.String specname)

#### getGVParameterNames

    public java.util.List<java.lang.String> getGVParameterNames​(java.lang.String gvname,
                                                                java.lang.String version)

#### getGVResultNames

    public java.util.List<java.lang.String> getGVResultNames​(java.lang.String specname)

#### getGVResultNames

    public java.util.List<java.lang.String> getGVResultNames​(java.lang.String gvname,
                                                             java.lang.String version)

#### getGVRestrictionNames

    public java.util.List<java.lang.String> getGVRestrictionNames​(java.lang.String specname)

#### getGVRestrictionNames

    public java.util.List<java.lang.String> getGVRestrictionNames​(java.lang.String gvname,
                                                                  java.lang.String version)

#### get

    public java.lang.String get​(java.lang.String key)